SubmittedFiltersMenu (GWT Maven Archetype 3.1.0-3.0.0 API)
Date: 2014-02-28

org.gcube.application.aquamaps.aquamapsportlet.client.filters

## Class SubmittedFiltersMenu

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.gwtext.client.widgets.menu.Menu
      - - org.gcube.application.aquamaps.aquamapsportlet.client.filters.SubmittedFiltersMenu

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget

      public abstract class SubmittedFiltersMenu
      extends com.gwtext.client.widgets.menu.Menu

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.gwtext.client.widgets.menu.Menu

      `config, id, jsObj`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubmittedFiltersMenu()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `deleteParameter(String paramName)`
    `abstract void` | `setParameter(String paramName, String paramValue)`

    - ### Methods inherited from class com.gwtext.client.widgets.menu.Menu

      `addElement, addElement, addItem, addListener, addSeparator, addText, create, create, getComponent, getElement, getElement, getItem, getItems, getOrCreateJsObj, hide, hide, insert, isVisible, remove, removeAll, setAllowOtherMenus, setDefaultAlign, setElement, setId, setMinWidth, setShadow, setShadow, setSubMenuAlign, show, showAt, showAt, showAt`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getHandlerCount, getLayoutData, getParent, isAttached, isOrWasAttached, onAttach, onBrowserEvent, onDetach, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SubmittedFiltersMenu

          public SubmittedFiltersMenu()

  - ### Method Detail

    - #### deleteParameter

          public abstract void deleteParameter(String paramName)

    - #### setParameter

          public abstract void setParameter(String paramName,
                          String paramValue)

Copyright © 2014. All Rights Reserved.